package cs108.countingset.decorator;

import org.junit.jupiter.api.Test;

import java.util.HashSet;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CountingSetTest {
	@Test
	public void testCount() {
	  CountingSet<Integer> s = new CountingSet<>(new HashSet<>());
	  s.addAll(List.of(1, 2, 3, 4, 5));
	  for (int i = 6; i <= 10; ++i)
	    s.add(i);
	  assertEquals(10, s.addCount());
	}
}
