package cs108.composite;

public final class Circle implements Shape {
	double radius;

	public Circle(double radius) {
		this.radius = radius;
	}

	@Override
	public boolean contains(Point p) {
		return Math.hypot(p.x(), p.y()) <= radius;
	}
}
